%define compatv 71
%{?compatv:%define compatfv 7.1}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions

Summary: KRISP %{?compatfv} database php extension
Summary(ko): php %{?compatfv} KRISP 확장
Name: php%{?compatv}-krisp
Version: 3.0.3
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: http://mirror.oops.org/pub/oops/php/extensions/mod_krisp/mod_krisp-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api libkrisp libkrisp-data
BuildRequires: php%{?compatv}-devel libkrisp-devel libipcalc-devel

%description
KRISP database php extension

%prep
%setup -q -n mod_krisp-%{version}

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/krisp.so %{buildroot}%{_extdir}/krisp.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/krisp.ini <<EOF
extension = krisp.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/krisp.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/krisp.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/krisp.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/krisp.ini

%changelog
* Fri Aug 12 2016 JoungKyun.Kim <http://oops.org> 1:3.0.3-1%{?dist}
- fixed #1 can't restore error handling

* Wed Feb 17 2016 JoungKyun.Kim <http://oops.org> 1:3.0.2-1%{?dist}
- fixed memory leaks

* Sat Jan  9 2016 JoungKyun.Kim <http://oops.org> 1:3.0.1-1%{?dist}
- update 3.0.1 for PHP7

* Tue Nov 10 2015 JoungKyun.Kim <http://oops.org> 1:2.1.2-1%{?dist}
- rebuilt on AN3

* Fri Nov 16 2012 JoungKyun.Kim <http://oops.org> 10:2.1.2-1%{?dist}
- update 2.1.2 on php 5.4

* Mon Feb 27 2012 JoungKyun.Kim <http://oops.org> 1:2.1.1-1%{?dist}
- update 2.1.1

* Mon Oct 11 2010 JoungKyun.Kim <http://oops.org> 1:2.1.0-1%{?dist}
- first packaged

